petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCFieldSplitSchurRestoreS

restores the MatSchurComplement object used by this PC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSchurRestoreS(PC pc,Mat *S)

Not collective

### Input Parameters

| pc | - the preconditioner context
| S | - the Schur complement matrix

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSchurPreType, PCFieldSplitSetSchurPre(), MatSchurComplement, PCFieldSplitSchurGetS()

Level:advanced
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages